org.apache.tomcat.jni

## Class Error

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.tomcat.jni.Error

- All Implemented Interfaces:
    Serializable

      public class Error
      extends Exception

  Error
  Author:
    Mladen Turk
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Get the APR description of the exception.
    `int` | `getError()` Get the APR error code of the exception.
    `static int` | `netosError()` Get the last platform socket error.
    `static int` | `osError()` Get the last platform error.
    `static String` | `strerror(int statcode)` Return a human readable string describing the specified error.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getError

          public int getError()

      Get the APR error code of the exception.
      Returns:
        error of the Exception

    - #### getDescription

          public String getDescription()

      Get the APR description of the exception.
      Returns:
        description of the Exception

    - #### osError

          public static int osError()

      Get the last platform error.
      Returns:
        apr_status_t the last platform error, folded into apr_status_t, on most platforms This retrieves errno, or calls a GetLastError() style function, and folds it with APR_FROM_OS_ERROR. Some platforms (such as OS2) have no such mechanism, so this call may be unsupported. Do NOT use this call for socket errors from socket, send, recv etc!

    - #### netosError

          public static int netosError()

      Get the last platform socket error.
      Returns:
        the last socket error, folded into apr_status_t, on all platforms This retrieves errno or calls a GetLastSocketError() style function, and folds it with APR_FROM_OS_ERROR.

    - #### strerror

          public static String strerror(int statcode)

      Return a human readable string describing the specified error.
      Parameters:
        `statcode` - The error code the get a string for.
      Returns:
        The error string.

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.